[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Rdo-list] packstack installation failure with missing packages



When trying to install packstack  (for testing OVS-security group feature) I failed on missing packages errors.
I did as follow:
1) Installed CentOS with foreman
2) Updated it with 4.5 kernel
3) yum -y install yum-plugin-priorities
4) curl -O http://trunk.rdoproject.org/centos7/delorean-deps.repo
5) curl -O http://trunk.rdoproject.org/centos7/current-passed-ci/delorean.repo
6) sudo yum install -y centos-release-openstack-mitaka

I failed on :
Error: Package: centos-release-openstack-mitaka-1-3.el7.noarch (delorean-mitaka-testing)
           Requires: centos-release-qemu-ev
Error: Package: centos-release-openstack-mitaka-1-3.el7.noarch (delorean-mitaka-testing)
           Requires: centos-release-ceph

After overcoming this problems with rpm installation I still fail on:

ERROR : Error appeared during Puppet run: 10.35.160.39_mariadb.pp
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install mariadb-galera-server' returned 1: Package mariadb-galera-server is obsoleted by mariadb-server-galera, trying to install 1:mariadb-server-galera-10.1.12-4.el7.x86_64 instead

It looks like some repos are missing.
Any advice would be appreciated

Thanks,
   Genadi

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]